Bug 117192 - Cannot view /ccm/services/
Cannot view /ccm/services/
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise CMS
Classification: Retired
Component: APLAWS (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Daniel Berrange
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-01 09:53 EST by Arturo Dell
Modified: 2007-08-01 14:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-01 14:47:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arturo Dell 2004-03-01 09:53:51 EST
Description of problem: Cannot view output=xml on /ccm/services/


Version-Release number of selected component (if applicable):


How reproducible:Always


Steps to Reproduce:
1. Go to /ccm/services/
2. Watch it crash
  
Actual results:

com.arsdigita.util.AssertionError: com.arsdigita.categorization.Category
is null
	at com.arsdigita.util.Assert.exists(Assert.java(Compiled Code))
	at
com.arsdigita.london.navigation.NavigationFileResolver.getRootCategory(NavigationFileResolver.java:156)
	at
com.arsdigita.london.navigation.NavigationFileResolver.resolve(NavigationFileResolver.java:81)
	at
com.arsdigita.web.ApplicationFileServlet.doService(ApplicationFileServlet.java:132)
	at
com.arsdigita.web.BaseApplicationServlet$1.excurse(BaseApplicationServlet.java(Compiled
Code))
	at
com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java(Compiled
Code))
	at
com.arsdigita.web.BaseApplicationServlet.doService(BaseApplicationServlet.java(Compiled
Code))
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java(Compiled
Code))
	at
com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java(Compiled
Code))
	at
com.arsdigita.web.BaseServlet.internalService(BaseServlet.java(Compiled
Code))
	at com.arsdigita.web.BaseServlet.doGet(BaseServlet.java(Compiled Code))
	at javax.servlet.http.HttpServlet.service(HttpServlet.java(Compiled
Code))
	at javax.servlet.http.HttpServlet.service(HttpServlet.java(Compiled
Code))
	at
com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java(Compiled
Code))
	at com.caucho.server.http.Invocation.service(Invocation.java(Compiled
Code))
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java(Compiled
Code))
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java(Compiled
Code))
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java(Compiled
Code))
	at
com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java(Compiled
Code))
	at
com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java(Compiled
Code))
	at
com.arsdigita.web.BaseDispatcher.dispatch(BaseDispatcher.java(Compiled
Code))
	at
com.arsdigita.web.DispatcherServlet.doService(DispatcherServlet.java(Compiled
Code))
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java(Compiled
Code))
	at
com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java(Compiled
Code))
	at
com.arsdigita.web.BaseServlet.internalService(BaseServlet.java(Compiled
Code))
	at com.arsdigita.web.BaseServlet.doGet(BaseServlet.java(Compiled Code))
	at javax.servlet.http.HttpServlet.service(HttpServlet.java(Compiled
Code))
	at javax.servlet.http.HttpServlet.service(HttpServlet.java(Compiled
Code))
	at
com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java(Compiled
Code))
	at
com.arsdigita.london.shortcuts.ShortcutFilter.doService(ShortcutFilter.java(Compiled
Code))
	at com.arsdigita.web.BaseFilter.doFilter(BaseFilter.java(Compiled Code))
	at
com.caucho.server.http.FilterChainFilter.doFilter(FilterChainFilter.java(Compiled
Code))
	at
com.arsdigita.london.subsite.SubsiteFilter.doService(SubsiteFilter.java(Compiled
Code))
	at com.arsdigita.web.BaseFilter.doFilter(BaseFilter.java(Compiled Code))
	at
com.caucho.server.http.FilterChainFilter.doFilter(FilterChainFilter.java(Compiled
Code))
	at com.caucho.server.http.Invocation.service(Invocation.java(Compiled
Code))
	at
com.caucho.server.http.RunnerRequest.handleRequest(RunnerRequest.java(Compiled
Code))
	at
com.caucho.server.http.RunnerRequest.handleConnection(RunnerRequest.java(Compiled
Code))
	at com.caucho.server.TcpConnection.run(TcpConnection.java:139)
	at java.lang.Thread.run(Thread.java:513)



Expected results: to display the services tree


Additional info:
Comment 1 Daniel Berrange 2004-03-02 05:52:26 EST
There is  a bug in the handling of categorizatrion in the /services/
app when using subsites. A new build will be required to fix it.
Comment 2 Daniel Berrange 2004-03-02 11:56:00 EST
Fix in p4 40947.
Comment 3 David Lawrence 2006-07-17 23:26:00 EDT
QA_READY has been deprecated in favor of ON_QA. Please use ON_QA in the future.
Moving to ON_QA.

Note You need to log in before you can comment on or make changes to this bug.